package org.springblade.third.doordevice.feign;

import org.springblade.community.entity.Residential;
import org.springblade.core.tool.api.R;
import org.springblade.device.dto.UserInfoDto;
import org.springblade.device.entity.DoorDevice;
import org.springblade.third.doordevice.dto.UserDeviceDTO;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @author lidexi
 * @date 2021/5/24 14:22
 */

@Component
public class DoorDeviceButtFallback implements IDoorDeviceButtClient {

//	@Override
//	public R remoteOpenDoor(DoorDevice doorDevice, Map<String,Object> userInfoDto) {
//		return null;
//	}

	@Override
	public R addUser(List<DoorDevice> doorDeviceList, Map<String,Object> userInfoDto) {
		return null;
	}

	@Override
	public R delUser(List<DoorDevice> doorDeviceList, Map<String,Object> userInfoDto) {
		return null;
	}

	@Override
	public R addResidential(Residential residential) {
		return null;
	}

	@Override
	public R addDevices(List<DoorDevice> doorDeviceList) {
		return null;
	}

	@Override
	public R pushFaceToDevices(UserDeviceDTO userDeviceDTO) {
		return null;
	}

	@Override
	public R pushFace(UserDeviceDTO userDeviceDTO) {
		return null;
	}

	@Override
	public R deleteFaceToDevices(UserDeviceDTO userDeviceDTO) {
		return null;
	}

	@Override
	public R deleteFace(UserDeviceDTO userDeviceDTO) {
		return null;
	}

	@Override
	public R remoteOpenDoor(String serialNum, String factory, boolean isOpen) {
		return null;
	}
}
